Subject: Re: bug#60644: 30.0.50; eval-defun: in specific case finds wrong function below the current one

From: Eli Zaretskii <[email-masked]>
Date: Sun, 08 Jan 2023 17:30:01 +0200

severity 60644 wishlist
thanks

> From: Stefan Monnier <[email-masked]>
> Cc: Jean Louis <[email-masked]>,  [email-masked]
> Date: Sun, 08 Jan 2023 10:23:41 -0500
> 
> > AFAIU, the top-level form (which is what C-M-x is about) is detected
> > in a way that depends on indentation.
> >
> > Stefan, any further comments, or should we close this?
> 
> Nothing more to add, other than the fact that I'm also bitten by this
> every once in a while.  I'm not sure what could be done about it, tho,
> since I'm pretty sure I'd get bitten occasionally no matter what
> semantics we pick.
> 
> Maybe C-M-x should display visually what it evaluated?
> 
> And maybe there sound be some way to force a particular choice (maybe
> using the region)?

Good ideas.  So I think I'll leave the bug open, in case someone would
like to implement these ideas, just make it a feature request.

Thanks.